05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Attributes | List of all members
sAtomGesture Struct Reference
Eyetracker module

The structure represents an atom gesture data and defines eGestureType enumerator. More...

`#include <ceyetrackerfilter.h>`

## Public Types

## Public Attributes
eGestureType | gestureType
| Type of gesture performed (eGestureType) More...
QRect | boundingBox
| The bounding box of mouse cursor trace. More...
sMousePos | start
| The initial point of mouse cursor trace. More...
sMousePos | end
| The last point of mouse cursor trace. More...

## Detailed Description

The structure represents an atom gesture data and defines eGestureType enumerator.

## Member Enumeration Documentation

enum eGestureType

enumerator representing gesturesTypes

The sAtomGesture structure is returned by cEyeTrackerFilter::atomGesturesClassifier function

See also
  cEyeTrackerFilter::atomGesturesClassifier

Enumerator
IN_PROGRESS | Informs that atomic or complex gesture cannot be unambiguously determined.
OTHER | Informs that no gesture can be recognized.
V_LINE_UP | Vertical line was detected.
V_LINE_DOWN | Vertical line was detected.
H_LINE_LEFT | Horizontal line was detected.
H_LINE_RIGHT | Horizontal line was detected.
GAZE | Gaze event detected.
EYE_BLINK | Eye blink - not implemented yet.
GENERIC_CLICK | Mouse clicked the value can be passed by cEyeTrackerFilter::eventFilter function.
COMPLEX_GESTURE_DETECTED | Value returned by cEyeTrackerFilter::detectGesture and cEyeTrackerFilter::detectComplexGesture functions.

## Member Data Documentation

QRect boundingBox

The bounding box of mouse cursor trace.

sMousePos end

The last point of mouse cursor trace.

eGestureType gestureType

Type of gesture performed (eGestureType)

sMousePos start

The initial point of mouse cursor trace.

The documentation for this struct was generated from the following file:

- eyetracker/ceyetrackerfilter.h